{% extends "base.html" %}

{% set active_page = "nitrogen" %}

{% block content %}
    <div>
        <h1>Nitrogen Trap Refill Action</h1>

        {% if last_filled %}
            <h2>Last Filled: {{ last_filled.strftime('%d-%m-%Y %H:%M:%S') }}</h2>
        {% else %}
            <h2>Last Filled: Never</h2>
        {% endif %}

        {% if last_filled_ago is not none %}
            <h2>Days Ago Last Filled: {{ last_filled_ago }}</h2>
        {% else %}
            <h2>Days Ago Last Filled: NaN</h2>
        {% endif %}
    </div>
    <hr style="width:25%">
    <div>
        <form method="post">
            <div>
                <label for="refill-time">Refill time: </label>
                <input
                    type="datetime-local"
                    id="refill-time"
                    name="refill-time"
                />
            </div>
            <br>
            <button class="button-3" type="submit">Submit new fill data</button>
        </form>
    </div>

{% endblock %}